/** Variables **/

:root {
    --text-color: #101010;
    --primary-color: #f3f3f3;
    --accent-color: #ff7900;
    --secondary-color: #292a34;
    --lato-font: "Lato", sans-serif;
    --transition: 0.4s all ease;
    --quest-hover: rgb(210, 210, 210, 1);
}

body {
    margin: 0;
    font-family: var(--lato-font);
}

body .modal-header {
    padding: 15px 15px 0 15px;
    border-borrom: 0;
}

/* LOADER SPINNER */

@-webkit-keyframes PreloaderSpin {
    0% {
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes PreloaderSpin {
    0% {
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

/* SVG Animation style */
svg {
    opacity: 0;
    overflow: visible;
    position: absolute;
    left: 50%;
    top: 60%;
    transform: translate(-50%, -50%);
}

/* 2-LOADING PAGE */
.preloader {
    position: fixed;
    width: 100%;
    height: 100%;
    background: #282828;
    z-index: 2000;
}

.spinner {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 2;
}

.spinner .preloader-spin {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 99;
    width: 40px;
    height: 40px;
    margin: -20px 0 0 -20px;
    border-radius: 50%;
    border: 2px solid transparent;
    border-top-color: #d26400;
    border-bottom-color: #d26400;
    animation: PreloaderSpin 2s linear infinite;
}

.spinner .preloader-spin:before {
    content: '';
    position: absolute;
    top: 3px;
    left: 3px;
    right: 3px;
    bottom: 3px;
    border-radius: 50%;
    border: 2px solid transparent;
    animation: PreloaderSpin 3s linear infinite;
    border-top-color: var(--accent-color);
    border-bottom-color: var(--accent-color);
}

.spinner .preloader-spin:after {
    content: '';
    position: absolute;
    top: 8px;
    left: 8px;
    right: 8px;
    bottom: 8px;
    border-radius: 50%;
    border: 2px solid transparent;
    animation: PreloaderSpin 1.5s linear infinite;
    border-top-color: #fd912f;
    border-bottom-color: #fd912f;
}

h1 {
    font-weight: 100;
}

body a {
    color: var(--accent-color);
}

body a:hover,
body a:focus {
    color: #ffffff;
}

body .animated.slow {
    animation-duration: 2s !important;
}

body .animated.fast {
    animation-duration: 0.55s !important;
}

body .page-header {
    border-bottom: none;
}

/* 3-CONTAINERS */
.container {
    width: 100%;
}

body a h2 {
    font-weight: 100;
    font-size: 20px;
    text-transform: none;
    text-decoration: none;
    letter-spacing: 1px;
    color: #dedede;
    background-color: rgba(49, 49, 49, 0.6);
    margin: 0;
    padding: 15px 0 20px;
    border-radius: 0 0 3px 3px;
}

h5.motto {
    text-transform: none;
    color: #ccc;
    font-weight: 300;
    font-size: 20px;
    position: relative;
    letter-spacing: 1px;
    top: 15vh;
    line-height: 1.3;
    max-width: 340px;
    left: 50%;
    transform: translateX(-50%);
    font-style: italic;
}

h5.motto strong {
    color: white;
}

.container.content {
    min-height: 100%;
}

.container .whitelinks .col-md-3 {
    display: flex;
    min-height: 26vh;
    position: relative;
    padding-top: 1.6vh;
    padding-bottom: 5vh;
}

.td-container {
    overflow: hidden;
    position: absolute;
    width: 100%;
    height: 100%;
    background-image: url("../img/grey_bg.jpg");
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    background-repeat: no-repeat;
    perspective: 5000px;
    background-attachment: fixed;
    background-position: center;
}

.td-sheets-container {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
    perspective: 1000px;
    z-index: 1;
    transition: transform 1.5s, opacity 1.5s;
}

.td-sheets-container.td-hide {
    transform: translateZ(-5000px);
    opacity: 0.2;
}

/* 4-MENU */
.td-menu {
    position: absolute;
    top: 50% !important;
    transform: translateY(-50%);
    right: 15px;
    border-radius: 50px;
    background-color: #353535;
    perspective: 300px;
    z-index: 1000;
    box-shadow: 0 0 10px -1px #000000b5;
    color: #000;
}

.td-menu-item {
    margin: 8px;
    padding: 10px;
    width: 40px;
    height: 40px;
    border-radius: 20px;
    background-color: white;
    opacity: 0.3;
    transition: opacity 0.3s, transform 1s;
    cursor: pointer;
}

.td-menu-item:hover {
    transform: rotateY(50deg);
}

.td-menu-item i {
    font-size: 20px;
}

.td-menu-item:hover,
.td-menu-item.active {
    opacity: 1;
}

/* 5-SHEETS */
.td-sheet {
    background-color: transparent; /* fallback for old browsers */
    background: -webkit-linear-gradient(
        to left,
        RGBA(66, 66, 66, 0.1),
        RGBA(33, 33, 33, 0.3)
    ); /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(
        to left,
        RGBA(66, 66, 66, 0.1),
        RGBA(33, 33, 33, 0.3)
    ); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    color: white;
    cursor: default;
}

.td-sheet.active {
    background-color: transparent;
}

.td-sheet-icon,
.td-sheet-title {
    display: none;
}

.td-sheet {
    position: absolute;
    left: 10vw;
    top: 15vh;
    width: 80vw;
    height: 70vh;
    border-radius: 3px;
    overflow: hidden;
    opacity: 0.15;
    background-color: rgba(255, 255, 255, 0.25);
    transform-origin: center center -60vh;
    transition: opacity 1s, background-color 1s, transform 1s;
}

.td-sheet.active {
    opacity: 1;
    z-index: 100;
}

/* 6-CONTENT */
.col-middle {
    display: flex;
    min-height: 35vh;
    position: relative;
}

.col-middle .middle {
    vertical-align: middle;
}

.td-aboutus {
    overflow: hidden;
    padding: 42px;
}

.col-middle.td-work {
    min-height: 30vh;
    padding: 1em;
}

.work-footer {
    width: 100%;
    text-align: center;
    margin: 0 auto;
    position: relative;
    top: -1vh;
    text-transform: none;
    color: #b4b4b4;
}

.td-aboutus .td-aboutus-header {
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    left: 50%;
    display: block;
    padding: 3em;
    height: 248px;
    width: 248px;
}

.td-aboutus .td-aboutus-header:before {
    transition: all 0.18s ease-in-out;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    content: '';
    display: block;
    background-color: rgba(32, 32, 32, 0.4);
    border-radius: 50%;
    padding: 3em;
    height: 256px;
    width: 256px;
}

.td-aboutus:hover .td-aboutus-header:before {
    background-color: rgba(0, 0, 0, 0.3);
    border-radius: 2px;
    width: 27vw;
    height: 35vh;
}

.td-aboutus .td-aboutus-header span {
    font-size: 72px;
    transition: all 0.35s ease-out;
    opacity: 0.7;
}

.td-aboutus:hover .td-aboutus-header span {
    transform: scale(2.5);
    opacity: 0;
}

.td-aboutus:hover .td-aboutus-header {
    background: transparent;
}

.td-aboutus .td-aboutus-header h3 {
    text-transform: none;
    color: rgba(255, 255, 255, 0.66);
    font-weight: 300;
    transition: all 0.35s ease-out;
    max-width: 190px;
    line-height: 1.3;
    font-size: 20px;
    opacity: 1;
    position: relative;
    z-index: 9;
}

.td-aboutus:hover .td-aboutus-header h3 {
    opacity: 0;
}

.whitelinks {
    padding: 1em;
}

.whitelinks a img {
    transition: all 0.25s ease-out;
}

.col-middle,
.col-middle p,
body a,
input.form-control,
textarea.form-control {
    transition: all 0.4s ease-out;
}

.whitelinks a {
    color: white !important;
}

.whitelinks h2 {
    font-size: 18px;
    line-height: 1;
    vertical-align: middle;
}

.whitelinks a img {
    border-radius: 3px 3px 0 0;
    filter: brightness(1);
}

.whitelinks a:hover,
.whitelinks a:focus,
.whitelinks a:hover h2,
.whitelinks a:focus h2 {
    text-decoration: none;
    outline: none;
}

.whitelinks a:hover img {
    filter: brightness(0.7);
}

.td-aboutus p {
    position: absolute;
    width: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.2);
    transition: all 0.45s ease-out;
    opacity: 0;
    padding: 2em 3em;
    font-size: 20px;
    line-height: 1.4;
    color: #e6e6e6;
    text-transform: none;
    font-weight: 300;
}

.td-aboutus:hover p {
    top: 50%;
    opacity: 1;
    left: 50%;
    transform: translate(-50%, -50%) scale(1);
}

.arrow-btn .ti-angle-down:before {
    display: inline-flex;
    position: relative;
    transition: all 0.5s;
    cursor: pointer;
    opacity: 0.5;
    transform: scale(0.8);
    top: -20px;
}

.arrow-btn span:hover:before {
    transform: scale(1) !important;
    opacity: 1;
    color: var(--accent-color);
}

/* 7-HELPERS */

#footer .copyright {
    color: #b6b6b6;
    text-shadow: 0 0 2px #000000d6;
}

#footer .copyright a {
    color: #ffffff;
}

.contactdata {
    padding: 25px 15px 15px;
}

.contactdata img {
    margin-bottom: 15px;
}

.contactdata address {
    text-transform: none;
    color: #d8d8d8;
    letter-spacing: 1px;
    font-weight: 300;
    background-color: rgba(61, 61, 61, 0.6);
    padding: 15px;
    border-radius: 3px;
    border: 2px solid rgba(102, 102, 102, 0.94);
}

div.map {
    padding-top: 25px;
}

div#custom-map {
    display: block;
    border: 2px solid rgba(102, 102, 102, 0.94);
    border-radius: 3px;
}

/* necessary to give position: relative to parent. */

body input.form-control,
body textarea.form-control {
    box-sizing: border-box;
    letter-spacing: 1px;
    border-radius: 3px;
    border: solid 2px rgba(131, 131, 131, 0.45)
}

body input.form-control:focus,
body textarea.form-control:focus {
    border-color: #ff691b;;
}

input.form-control:focus,
textarea.form-control:focus {
    outline: none;
    box-shadow: none;
}

.contant-form .form-control {
    box-shadow: none;
}

.contant-form .form-control.effect-9 ~ .focus-border:before,
.contant-form .form-control.effect-9 ~ .focus-border:after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 0;
    height: 2px;
    background-color: #3399FF;
    transition: 0.2s;
    transition-delay: 0.2s;
}

.contant-form .form-control.effect-9 ~ .focus-border:after {
    top: auto;
    bottom: 0;
    right: auto;
    left: 0;
    transition-delay: 0.6s;
}

.contant-form .form-control.effect-9 ~ .focus-border i:before,
.contant-form .form-control.effect-9 ~ .focus-border i:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 2px;
    height: 0;
    background-color: #3399FF;
    transition: 0.2s;
}

.contant-form .form-control.effect-9 ~ .focus-border i:after {
    left: auto;
    right: 0;
    top: auto;
    bottom: 0;
    transition-delay: 0.4s;
}

.contant-form .form-control.effect-9:focus ~ .focus-border:before,
.contant-form .form-control.effect-9:focus ~ .focus-border:after {
    width: 100%;
    transition: 0.2s;
    transition-delay: 0.6s;
}

.contant-form .form-control.effect-9:focus ~ .focus-border:after {
    transition-delay: 0.2s;
}

.contant-form .form-control.effect-9:focus ~ .focus-border i:before,
.contant-form .form-control.effect-9:focus ~ .focus-border i:after {
    height: 100%;
    transition: 0.2s;
}

.contant-form .form-control.effect-9:focus ~ .focus-border i:after {
    transition-delay: 0.4s;
}

/* MODALS CUSTOM */
body .modal-backdrop {
    background-color: #262626;
}

body .modal-backdrop.in {
    opacity: 0.88;
    filter: alpha(opacity=88);
}

body .modal-content {
    position: absolute;
    border-radius: 4px;
    top: 50%;
    width: calc(80vw - 2em);
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #555050;
}

.modal-content .modal-header {
    border-bottom: 0;
}

.modal-content .modal-header h4 {
    color: #e2e2e2;
}
body .modal-body img {
  border-radius: 3px;
}
body .modal-footer {
  padding: 0px 15px 15px;
  border-top: 0;
}
.modal .close {
  color: #e2e2e2;
    opacity: 0.5;
}
@media (min-width: 576px) {
    .modal-dialog-centered {
        min-height: calc(100% - (1.75rem * 2));
    }

    body .modal-content {
        width: calc(80vw - 8em);
    }
}